(function ($) {
  "use strict";

  var SwpShopSlider = function ($scope) {
    let SwpOwlCarousels = $scope.find(".swp-shop-carousel");
    if (SwpOwlCarousels.length) {
      SwpOwlCarousels.each(function () {
        let elm = $(this);
        let options = elm.data("owl-options");
        let SwpOwlCarousel = elm.owlCarousel(
          "object" === typeof options ? options : JSON.parse(options)
        );
      });
    }
    var leftArrow = '<i class="fas fa-angle-left"></i>';
    var rightArrow = '<i class="fas fa-angle-right"></i>';
    /*------------------------------------------------
            sponsor-slider
        ------------------------------------------------*/
    $(".swp-slider-3").owlCarousel({
      loop: true,
      margin: 20,
      nav: true,
      dots: true,
      smartSpeed: 1500,
      navText: [leftArrow, rightArrow],
      responsive: {
        0: {
          items: 1,
        },
        576: {
          items: 1,
        },
        768: {
          items: 1,
          stagePadding: 150,
        },
        992: {
          items: 2,
          stagePadding: 200,
        },
      },
    });
  };

  var SwpShopTab = function ($scope) {
    if ($scope.find(".swp-tab-menu li a").length) {
      $(".swp-tab-menu li a").on("click", function () {
        var target = $(this).attr("data-rel");
        $(".swp-tab-menu li a").removeClass("active");
        $(this).addClass("active");
        $("#" + target)
          .fadeIn("slow")
          .siblings(".swp-tab-box")
          .hide();
        return false;
      });
    }
  };

  $(window).on("elementor/frontend/init", function () {
    elementorFrontend.hooks.addAction(
      "frontend/element_ready/swp-shop-slider.default",
      SwpShopSlider
    );

    elementorFrontend.hooks.addAction(
      "frontend/element_ready/swp-shop-tab.default",
      SwpShopTab
    );
  });
})(jQuery);
