<?php
/*
 * isotope one template
*/
if ($settings['style'] == 'style-1') :
?>
    <!-- shop Card 19 -->
    <section class="shop-area  style-19 swp-isotope-area" data-filter-section="<?php echo esc_attr(uniqid()); ?>">
        <div class="swp-container">

            <div class="isotope-filters swp-isotope-btn swp-isotope-btn-radius text-lg-left text-center ">
                <button class="button active" data-filter="*"><?php echo esc_html__('All', 'swp-shop'); ?></button>

                <?php
                if (is_array($settings['select_cat'])) :
                    foreach ($settings['select_cat'] as $term) :
                ?>
                        <button class="button" data-filter=".<?php echo strtolower(preg_replace('/[^a-zA-Z]+/', '-', swp_shop_get_cat_slug($term))); ?>"><?php echo esc_html(swp_shop_get_cat_name($term)); ?></button>
                        <?php endforeach;
                else :
                    $taxonomy = 'product_cat';
                    $terms = get_terms($taxonomy); // Get all terms of a taxonomy
                    if ($terms && !is_wp_error($terms)) :
                        foreach ($terms as $term) { ?>
                            <button class="button" data-filter=".<?php echo strtolower(preg_replace('/[^a-zA-Z]+/', '-', $term->slug)); ?>"><?php echo esc_html($term->name); ?></button>
                <?php }
                    endif;
                endif; ?>

            </div>

            <div class="swp-section">
                <div class="swp-isotope swp-row">
                    <?php if (!\Elementor\Plugin::$instance->editor->is_edit_mode()) : ?>
                        <div class="swp-sizer col-1"></div>
                    <?php endif; ?>
                    <!-- swp item start here -->
                    <?php
                    if ($swp_shop_posts_query->have_posts()) :
                        while ($swp_shop_posts_query->have_posts()) : $swp_shop_posts_query->the_post();
                            $terms = get_the_terms(get_the_ID(), 'product_cat');
                            $img_src = wp_get_attachment_image_src(get_post_thumbnail_id(), 'full');
                            global $product;

                    ?>
                            <div class="swp-item swp-col-lg-3 swp-col-sm-6 <?php if (is_array($terms)) :
                                                                                foreach ($terms as $term) {
                                                                                    echo strtolower(preg_replace('/[^a-zA-Z]+/', '-', $term->slug)) . ' ';
                                                                                }
                                                                            endif;  ?>">
                                <div class="swp-shop-single-inner style-3 swp-text-center">
                                    <div class="icon-img">
                                        <?php the_post_thumbnail('swp_shop_260x290'); ?>
                                        <div class="swp-badge-btn-wrap swp-badge-btn-right">
                                            <?php swp_shop_display_percentage_on_sale_badge(); ?>
                                            <?php
                                            $newness_days = 30;
                                            $created = strtotime($product->get_date_created());
                                            if ((time() - (60 * 60 * 24 * $newness_days)) < $created) {
                                            ?>
                                                <div class="swp-badge-btn"><?php esc_html_e('New', 'swp-shop'); ?></div>
                                            <?php } ?>
                                        </div>
                                        <div class="swp-readmore-arrow-wrap">
                                            <?php swp_shop_add_to_cart_button(); ?>
                                            <a class="swp-readmore-arrow swp-image-popup" href="<?php echo esc_url($img_src[0]); ?>"><i class="fa fa-search-plus"></i></a>
                                            <?php if (shortcode_exists('yith_wcwl_add_to_wishlist')) : ?>
                                                <div class="swp-readmore-arrow"><?php echo do_shortcode('[yith_wcwl_add_to_wishlist  link_classes="add_to_wishlist " label="" product_added_text="" browse_wishlist_text="" already_in_wishslist_text="" icon="far fa-heart"]'); ?></div>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                    <div class="content-box">
                                        <div class="content-details">
                                            <<?php echo esc_attr($settings['titltag']); ?> class="inner-title">
                                                <a <?php echo esc_attr(('new-window' == $settings['open-url'] ? 'target="_blank"' : '')); ?> href="<?php the_permalink(); ?>">
                                                    <?php
                                                    if ('full' == $settings['dtitle']) :

                                                        the_title();

                                                    else :
                                                        echo esc_html(wp_trim_words(get_the_title(), $settings['title_excerpt_length'], ''));
                                                    endif;
                                                    ?>
                                                </a>
                                            </<?php echo esc_attr($settings['titltag']); ?>>
                                            <?php echo wp_kses_post($product->get_price_html()); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        <?php endwhile; ?>
                    <?php
                        wp_reset_postdata();
                    else :
                    ?>
                        <h3 class="no-post-found"><?php esc_html_e('Sorry, No Product Found', 'swp-shop') ?></h3>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </section>
    <!-- shop Card 19 -->
<?php endif; ?>